#1 build: Replace Remotely due EOL with GNOME Connections for f35 | rh#1957981
Merged 2 years ago by kalev. Opened 2 years ago by atim.
rpms/ atim/gnome-connections rawhide  into  rawhide

file modified
+10 -1
@@ -7,7 +7,7 @@ 

  

  Name:       gnome-connections

  Version:    40.0.1

- Release:    2%{?dist}

+ Release:    3%{?dist}

  Summary:    A remote desktop client for the GNOME desktop environment

  

  License:    GPLv3+
@@ -32,6 +32,12 @@ 

  Obsoletes:      connections < 40.0-2

  Provides:       connections = %{version}-%{release}

  

+ # Remotely EOL and replaced by GNOME Connections.

+ # https://bugzilla.redhat.com/show_bug.cgi?id=1957981

+ %if 0%{?fedora} >= 35

+ Obsoletes:      remotely < 1.0-6

+ %endif

+ 

  %description

  Connections is a remote desktop client for the GNOME desktop environment.

  
@@ -71,6 +77,9 @@ 

  %{_datadir}/mime/packages/org.gnome.Connections.xml

  

  %changelog

+ * Mon May 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 40.0.1-3

+ - build: Replace Remotely due EOL with GNOME Connections for f35 | rh#1957981

+ 

  * Fri Apr 16 2021 Simone Caronni <negativo17@gmail.com> - 40.0.1-2

  - Rebuild for updated FreeRDP.

  

Remotely EOL. GNOME Connections replaced it. Would be nice to automagically replace for Fedora 35 and above. But please review this first since i am rushed a little with this PR.

Based on https://bugzilla.redhat.com/show_bug.cgi?id=1957981.

I am not sure "Obsoletes: remotely =< 1.0" is going to work right because:

a) I believe the operator is "<=" not "=<"

and

b) Our packaging guidelines say to use < with release specified, in order to make it easier to unretire the package in the future if needed without having to bump epoch.

I'd use "Obsoletes: remotely < 1.0-6"

Otherwise looks good to me :) If you want, we can also put this in F34 -- you can't retire packages in F34 any more like @adamwill said in the ticket, but you can definitely obsolete them if it makes sense.

rebased onto df3efc6

2 years ago

@kalev thanks, fixed a & b and rebased.

Looks good to me! Thanks.

Pull-Request has been merged by kalev

2 years ago
Metadata